VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vcenter::ovf::IpAllocationParams Class Reference

The `IpAllocationParams` class specifies how IP addresses are allocated to OVF properties. More...

List of all members.

## Classes
class | IpAllocationPolicy
| The `IpAllocationParams.IpAllocationPolicy` enumerated type defines the possible IP allocation policy for a deployment. More...
class | IpAllocationScheme
| The `IpAllocationParams.IpAllocationScheme` enumerated type defines the possible IP allocation schemes that can be supported by the guest software. More...
class | IpProtocol
| The `IpAllocationParams.IpProtocol` enumerated type defines the IP protocols supported by the guest software. More...
## Public Member Functions
| IpAllocationParams ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vcenter.ovf.IpAllocationParams.IpAllocationScheme > | GetSupportedAllocationScheme ()
| Specifies the IP allocation schemes supported by the guest software.
void | SetSupportedAllocationScheme (global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpAllocationScheme > supportedAllocationScheme)
| Specifies the IP allocation schemes supported by the guest software.
global::System.Collections.Generic.List < vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy > | GetSupportedIpAllocationPolicy ()
| Specifies the IP allocation policies supported.
void | SetSupportedIpAllocationPolicy (global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy > supportedIpAllocationPolicy)
| Specifies the IP allocation policies supported.
vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy | GetIpAllocationPolicy ()
| Specifies how IP allocation is done through an IP Pool.
void | SetIpAllocationPolicy (vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy ipAllocationPolicy)
| Specifies how IP allocation is done through an IP Pool.
global::System.Collections.Generic.List < vmware.vcenter.ovf.IpAllocationParams.IpProtocol > | GetSupportedIpProtocol ()
| Specifies the IP protocols supported by the guest.
void | SetSupportedIpProtocol (global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpProtocol > supportedIpProtocol)
| Specifies the IP protocols supported by the guest.
vmware.vcenter.ovf.IpAllocationParams.IpProtocol | GetIpProtocol ()
| Specifies the chosen IP protocol for this deployment.
void | SetIpProtocol (vmware.vcenter.ovf.IpAllocationParams.IpProtocol ipProtocol)
| Specifies the chosen IP protocol for this deployment.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `IpAllocationParams` class specifies how IP addresses are allocated to OVF properties.

In particular, it informs the deployment platform whether the guest supports IPv4, IPv6, or both. It also specifies whether the IP addresses can be obtained through DHCP or through the properties provided in the OVF environment.

Ovf Property elements are exposed to the guest software through the OVF environment. Each Property element exposed in the OVF environment shall be constructed from the value of the ovf:key attribute. A Property element contains a key/value pair, it may optionally specify type qualifiers using the ovf:qualifiers attribute with multiple qualifiers separated by commas.

The settings in `IpAllocationParams` class are global to a deployment. Thus, if a virtual machine is part of a virtual appliance, then its settings are ignored and the settings for the virtual appliance is used.

This information is based on the vmw:IpAssignmentSection in OVF package.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::IpAllocationParams::IpAllocationParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::IpAllocationParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::IpAllocationParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::IpAllocationParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::IpAllocationParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::IpAllocationParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::IpAllocationParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::IpAllocationParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override int vmware::vcenter::ovf::IpAllocationParams::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy vmware::vcenter::ovf::IpAllocationParams::GetIpAllocationPolicy | ( |  | ) | `[inline]`

Specifies how IP allocation is done through an IP Pool.

This is typically specified by the deployer.

vmware.vcenter.ovf.IpAllocationParams.IpProtocol vmware::vcenter::ovf::IpAllocationParams::GetIpProtocol | ( |  | ) | `[inline]`

Specifies the chosen IP protocol for this deployment.

This must be one of the IP protocols supported by the guest software. See IpAllocationParams.supportedIpProtocol .

global::System.Collections.Generic.List<vmware.vcenter.ovf.IpAllocationParams.IpAllocationScheme> vmware::vcenter::ovf::IpAllocationParams::GetSupportedAllocationScheme | ( |  | ) | `[inline]`

Specifies the IP allocation schemes supported by the guest software.

This field defines the valid values for the IP allocation policy. This setting is often configured by the virtual appliance template author or OVF package author to reflect what the guest software supports, and the IP allocation policy is configured at deployment time. See IpAllocationParams.ipAllocationPolicy .

global::System.Collections.Generic.List<vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy> vmware::vcenter::ovf::IpAllocationParams::GetSupportedIpAllocationPolicy | ( |  | ) | `[inline]`

Specifies the IP allocation policies supported.

The set of valid options for the policy is based on the capabilities of the virtual appliance software, as specified by the IpAllocationParams.supportedAllocationScheme field.

global::System.Collections.Generic.List<vmware.vcenter.ovf.IpAllocationParams.IpProtocol> vmware::vcenter::ovf::IpAllocationParams::GetSupportedIpProtocol | ( |  | ) | `[inline]`

Specifies the IP protocols supported by the guest.

void vmware::vcenter::ovf::IpAllocationParams::SetIpAllocationPolicy | ( | vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy | ipAllocationPolicy | ) | `[inline]`

Specifies how IP allocation is done through an IP Pool.

This is typically specified by the deployer.

void vmware::vcenter::ovf::IpAllocationParams::SetIpProtocol | ( | vmware.vcenter.ovf.IpAllocationParams.IpProtocol | ipProtocol | ) | `[inline]`

Specifies the chosen IP protocol for this deployment.

This must be one of the IP protocols supported by the guest software. See IpAllocationParams.supportedIpProtocol .

void vmware::vcenter::ovf::IpAllocationParams::SetSupportedAllocationScheme | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpAllocationScheme > | supportedAllocationScheme | ) | `[inline]`

Specifies the IP allocation schemes supported by the guest software.

This field defines the valid values for the IP allocation policy. This setting is often configured by the virtual appliance template author or OVF package author to reflect what the guest software supports, and the IP allocation policy is configured at deployment time. See IpAllocationParams.ipAllocationPolicy .

void vmware::vcenter::ovf::IpAllocationParams::SetSupportedIpAllocationPolicy | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpAllocationPolicy > | supportedIpAllocationPolicy | ) | `[inline]`

Specifies the IP allocation policies supported.

The set of valid options for the policy is based on the capabilities of the virtual appliance software, as specified by the IpAllocationParams.supportedAllocationScheme field.

void vmware::vcenter::ovf::IpAllocationParams::SetSupportedIpProtocol | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.IpAllocationParams.IpProtocol > | supportedIpProtocol | ) | `[inline]`

Specifies the IP protocols supported by the guest.

void vmware::vcenter::ovf::IpAllocationParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::IpAllocationParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- IpAllocationParams.cs